Package weka.classifiers.functions.explicitboundaries.models

# Class LibSVMSVCCLinearBoundary

java.lang.Object
weka.classifiers.AbstractClassifier
weka.classifiers.RandomizableClassifier
weka.classifiers.functions.LibSVM
weka.classifiers.functions.explicitboundaries.models.LibSVMSVCCLinearBoundary

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `weka.classifiers.Classifier`, `ClassifierWithBoundaries`, `weka.core.BatchPredictor`, `weka.core.CapabilitiesHandler`, `weka.core.CapabilitiesIgnorer`, `weka.core.CommandlineRunnable`, `weka.core.OptionHandler`, `weka.core.Randomizable`, `weka.core.RevisionHandler`, `weka.core.TechnicalInformationHandler`

public class LibSVMSVCCLinearBoundary extends weka.classifiers.functions.LibSVM implements ClassifierWithBoundaries
Class

Since:
  2.5.0
Version:
  2.5.0
Author:
  pawel trajdos
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class weka.classifiers.functions.LibSVM

  `KERNELTYPE_LINEAR, KERNELTYPE_POLYNOMIAL, KERNELTYPE_RBF, KERNELTYPE_SIGMOID, SVMTYPE_C_SVC, SVMTYPE_EPSILON_SVR, SVMTYPE_NU_SVC, SVMTYPE_NU_SVR, SVMTYPE_ONE_CLASS_SVM, TAGS_KERNELTYPE, TAGS_SVMTYPE`

  ### Fields inherited from class weka.classifiers.AbstractClassifier

  `BATCH_SIZE_DEFAULT, NUM_DECIMAL_PLACES_DEFAULT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LibSVMSVCCLinearBoundary()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `buildClassifier(weka.core.Instances insts)`
  `double[]`
  `distributionForInstance(weka.core.Instance inst)`
  `DecisionBoundary`
  `getBoundary()`
  Returns decision boundaries of the classifier
  `weka.core.Capabilities`
  `getCapabilities()`
  `void`
  `setDebug(boolean debug)`
  `void`
  `setKernelType(weka.core.SelectedTag value)`
  `void`
  `setNormalize(boolean value)`
  `void`
  `setSVMType(weka.core.SelectedTag value)`

  ### Methods inherited from class weka.classifiers.functions.LibSVM

  `cacheSizeTipText, coef0TipText, costTipText, degreeTipText, doNotReplaceMissingValuesTipText, epsTipText, gammaTipText, getCacheSize, getCoef0, getCost, getDegree, getDoNotReplaceMissingValues, getEps, getGamma, getKernelType, getLoss, getModelFile, getNormalize, getNu, getOptions, getProbabilityEstimates, getRevision, getShrinking, getSVMType, getTechnicalInformation, getWeights, globalInfo, kernelTypeTipText, listOptions, lossTipText, main, modelFileTipText, normalizeTipText, nuTipText, probabilityEstimatesTipText, setCacheSize, setCoef0, setCost, setDegree, setDoNotReplaceMissingValues, setEps, setGamma, setLoss, setModelFile, setNu, setOptions, setProbabilityEstimates, setShrinking, setWeights, shrinkingTipText, SVMTypeTipText, toString, weightsTipText`

  ### Methods inherited from class weka.classifiers.RandomizableClassifier

  `getSeed, seedTipText, setSeed`

  ### Methods inherited from class weka.classifiers.AbstractClassifier

  `batchSizeTipText, classifyInstance, debugTipText, distributionsForInstances, doNotCheckCapabilitiesTipText, forName, getBatchSize, getDebug, getDoNotCheckCapabilities, getNumDecimalPlaces, implementsMoreEfficientBatchPrediction, makeCopies, makeCopy, numDecimalPlacesTipText, postExecution, preExecution, run, runClassifier, setBatchSize, setDoNotCheckCapabilities, setNumDecimalPlaces`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface weka.classifiers.Classifier

  `classifyInstance`

- ## Constructor Details

  - ### LibSVMSVCCLinearBoundary

    public LibSVMSVCCLinearBoundary()

- ## Method Details

  - ### getBoundary

    public DecisionBoundary getBoundary() throws Exception
    Description copied from interface: `ClassifierWithBoundaries`
    Returns decision boundaries of the classifier
    Specified by:
      `getBoundary` in interface `ClassifierWithBoundaries`
    Returns:
      Decision boundaries
    Throws:
      `Exception`

  - ### buildClassifier

    public void buildClassifier(weka.core.Instances insts) throws Exception
    Specified by:
      `buildClassifier` in interface `weka.classifiers.Classifier`
    Overrides:
      `buildClassifier` in class `weka.classifiers.functions.LibSVM`
    Throws:
      `Exception`

  - ### setNormalize

    public void setNormalize(boolean value)
    Overrides:
      `setNormalize` in class `weka.classifiers.functions.LibSVM`

  - ### setSVMType

    public void setSVMType(weka.core.SelectedTag value)
    Overrides:
      `setSVMType` in class `weka.classifiers.functions.LibSVM`

  - ### setKernelType

    public void setKernelType(weka.core.SelectedTag value)
    Overrides:
      `setKernelType` in class `weka.classifiers.functions.LibSVM`

  - ### getCapabilities

    public weka.core.Capabilities getCapabilities()
    Specified by:
      `getCapabilities` in interface `weka.core.CapabilitiesHandler`
    Specified by:
      `getCapabilities` in interface `weka.classifiers.Classifier`
    Overrides:
      `getCapabilities` in class `weka.classifiers.functions.LibSVM`

  - ### setDebug

    public void setDebug(boolean debug)
    Overrides:
      `setDebug` in class `weka.classifiers.AbstractClassifier`

  - ### distributionForInstance

    public double[] distributionForInstance(weka.core.Instance inst) throws Exception
    Specified by:
      `distributionForInstance` in interface `weka.classifiers.Classifier`
    Overrides:
      `distributionForInstance` in class `weka.classifiers.functions.LibSVM`
    Throws:
      `Exception`